@color 1e
@echo.
@echo        Silent EasyC V6 installation is currently in progress.
@echo.
@echo Please wait. This window will close automatically and Windows will restart.
@echo.
@echo log_EasyC.log is the name of the EasyC silent installation log file. 
@echo log_VEX_Driver.log is the name of the VEX driver silent installation log file.
@echo.
@echo The ResultCode value indicates whether or not the silent installation was successful.
@echo.
@echo ResultCode values:
@echo. 
@echo  0 Success.
@echo -1 General error.
@echo -2 Invalid mode.
@echo -3 Required data not found in the iss file.
@echo -4 Not enough memory available.
@echo -5 File does not exist.
@echo -6 Cannot write to the response file.
@echo -7 Unable to write to the log file.
@echo -8 Invalid path to the InstallShield Silent response file.
@echo -9 Not a valid list type (string or number).
@echo -10 Data type is invalid.
@echo -11 Unknown error occurred during setup.
@echo -12 Dialog boxes are out of order.
@echo -51 Cannot create the specified folder.
@echo -52 Cannot access the specified file or folder.
@echo -53 Invalid option selected.
@echo.

@echo Start installing easyC_V6

@echo off
easyC_V6.exe -s -f1"%cd%\EasyC_Silent.iss"  -f2"%cd%\log_EasyC.log"
@echo on

@echo.
@echo Finish installing easyC_V6, Start installing the VEX programing driver

@echo off
VEXProgrammingDriver.exe -s -f1"%cd%\VEXProgrammingDriver_Silent.iss"  -f2"%cd%\log_VEX_Driver.log"
@echo on

@echo.
@echo Finish installing the VEX programing driver
@echo off

"c:\Program Files (x86)\Intelitek\easyC V6\ILA.exe" <product key>

exit